petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatFactorRestoreSchurComplement

Restore the Schur complement matrix object obtained from a call to MatFactorGetSchurComplement

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorRestoreSchurComplement(Mat F,Mat* S)

Logically Collective on Mat Many br

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() Many br
| *S | - location where the Schur complement is stored Many br

### Notes

Many br

### References

### See Also

MatGetFactor(), MatFactorSetSchurIS(), MatFactorRestoreSchurComplement(), MatFactorCreateSchurComplement()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages